Skip to main content
GET
/
api
/
v1
/
prices
Get market prices
curl --request GET \
  --url https://api.example.com/api/v1/prices
{
  "code": 0,
  "msg": "ok",
  "data": {
    "currency": "USD",
    "updatedAt": "2026-05-11T10:00:00.000Z",
    "items": [
      {
        "symbol": "ETH",
        "usdPrice": 3500.12,
        "usdChange24h": -1.24
      },
      {
        "symbol": "USDC",
        "usdPrice": 1,
        "usdChange24h": 0
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nexfi.robert.dpdns.org/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

symbols
string

Comma-separated asset symbols, such as ETH,USDC.

Example:

"ETH,USDC"

assets
string

Asset identity list, extensible to chain+address keys.

Example:

"8453:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"

currency
enum<string>

Quote currency.

Available options:
USD,
CNY
Example:

"USD"

Response

200 - application/json

Price response

Standard response envelope.

code
integer
required

Business status code. 0 means success.

Example:

0

msg
string
required

Human-readable message.

Example:

"ok"

data
object